import request from '@/utils/request'

// 查询工会每日收益列表
export function listUnionTotal(query) {
  return request({
    url: '/cai/unionTotal/list',
    method: 'get',
    params: query
  })
}

export function unionList() {
  return request({
    url: '/cai/unionTotal/unionList',
    method: 'get'
  })
}


// 查询工会每日收益详细
export function getUnionTotal(id) {
  return request({
    url: '/cai/unionTotal/' + id,
    method: 'get'
  })
}

// 新增工会每日收益
export function addUnionTotal(data) {
  return request({
    url: '/cai/unionTotal',
    method: 'post',
    data: data
  })
}

// 修改工会每日收益
export function updateUnionTotal(data) {
  return request({
    url: '/cai/unionTotal',
    method: 'put',
    data: data
  })
}

// 删除工会每日收益
export function delUnionTotal(id) {
  return request({
    url: '/cai/unionTotal/' + id,
    method: 'delete'
  })
}
